Name:		ffmulticonverter
Version:	1.3.1
Release:	%mkrel 2
Summary:	GUI File Format Converter
Group:		Video
License:	GPLv3
URL:		https://sites.google.com/site/ffmulticonverter/home

Source0:	https://github.com/downloads/Ilias95/FF-Multi-Converter/%name-%version.tar.gz

Patch0:		ffmulticonverter-1.3.1-mga-desktop-file.patch

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	imagemagick

Requires:	python-qt4
Suggests:	pythonmagick
Suggests:	unoconv
Suggests:	ffmpeg

 
%description
File Format Multi Converter is a GUI application that converts audio, video,
image and document file formats to other extensions using ffmpeg, unoconv
and PIL library.

Features:
* Converts files in the same folder (same type or extension)
* Recursively convert files (same type or extension)
 
%prep
%setup -q -n %name-%version
%apply_patches
 
%build
python setup.py build
 
%install
python ./setup.py install -O1 --root=%{buildroot}

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert -scale 16x16 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mv %{buildroot}%{_datadir}/applications/FF-Multi-Converter.desktop %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README.txt AUTHORS
%{_bindir}/%name
%{py_sitedir}/%name-%version-py%pyver.egg-info
%{py_sitedir}/%name
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%doc %{_mandir}/man1/ffmulticonverter.1.xz


%changelog

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-2.mga2
+ Revision: 220907
- optional requirements are now suggested, not required
- replace pil by pythonmagick as optional requirement
- removed unneeded requirements

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-1.mga2
+ Revision: 220902
- new version 1.3.1
- rediffed desktop file patch

* Sun Jan 29 2012 obgr_seneca <obgr_seneca> 1.2.0-1.mga2
+ Revision: 202960
- imported package ffmulticonverter


* Sun Jan 29 2012 Oliver Burger <obgr_seneca@mageia.org> 1.2.0-1.mga2
- import int Mga
- Spec file provided by Dimitrios Glentadakis
- Bug #4333
